#ifndef __GUIAPPLY_H__
#define __GUIAPPLY_H__

#include "gui.h"
#include "graphics.h"
#include "input.h"
#include "fftfile.h"
#include "units.h"

extern Unit *ship;
extern FFTInput *fftinput;
extern Preferences *prefs;

int RunStartingGUI(int w, int h);
int ControlChanging(int w, int h, SDL_Surface *bg=0, bool fill=true);
int RunStartingOptions(int w, int h);
int ChangeControl(int w, int h, SDL_Surface *bg=0, bool fill=true);
int AskToQuit(int SCREEN_WIDTH, int SCREEN_HEIGHT);
int YesNoBox(int SCREEN_WIDTH, int SCREEN_HEIGHT, std::string message);
int ExitToMenuBox(int SCREEN_WIDTH, int SCREEN_HEIGHT, std::string message);
int GameOverBox(int SCREEN_WIDTH, int SCREEN_HEIGHT);
GUI *MakeCenterOKWindow(std::string &message);

#endif /* __GUIAPPLY_H__ */
